tigase.jaxmpp.j2se.connection.socks5bytestream

## Class JingleSocks5BytestreamsConnectionManager

- java.lang.Object
- - tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager
  - - tigase.jaxmpp.j2se.connection.socks5bytestream.JingleSocks5BytestreamsConnectionManager

- All Implemented Interfaces:
    ContextAware, ConnectionManager

      public class JingleSocks5BytestreamsConnectionManager
      extends Socks5ConnectionManager

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager

      `Socks5ConnectionManager.State`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.connection.ConnectionManager

      `ConnectionManager.ConnectionClosedHandler, ConnectionManager.ConnectionEstablishedHandler, ConnectionManager.ConnectionFailedHandler, ConnectionManager.InitializedCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CANDIDATE_USED_KEY`
    `static String` | `SOCKS5_TRANSPORT_KEY`
    `static String` | `TRANSPORT_USED_KEY`
    `static String` | `TRANSPORTS_KEY`
    `static String` | `XMLNS`

    - ### Fields inherited from class tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager

      `context, JAXMPP_KEY, PACKET_ID, PROXY_JID_KEY, PROXY_JID_USED_KEY, SID_KEY, STREAMHOST_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JingleSocks5BytestreamsConnectionManager(ConnectionSessionHandler handler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectTcp(JaxmppCore jaxmpp, ConnectionSession session)`
    `void` | `connectUdp(JaxmppCore jaxmpp, ConnectionSession session)`
    `Transport` | `getTransport(JaxmppCore jaxmpp, ConnectionSession session)`
    `void` | `initConnection(JaxmppCore jaxmpp, ConnectionSession session, ConnectionManager.InitializedCallback callback)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager

      `checkHash, clearSessions, connectToProxy, discoverProxy, fireOnConnected, fireOnConnected, fireOnFailure, generateHash, getLocalStreamHosts, getSession, handleConnection, processData, proxyDiscoveryError, proxyDiscoveryFinished, registerSession, requestActivate, unregisterSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CANDIDATE_USED_KEY

          public static final String CANDIDATE_USED_KEY

      See Also:
        Constant Field Values

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

    - #### SOCKS5_TRANSPORT_KEY

          public static final String SOCKS5_TRANSPORT_KEY

      See Also:
        Constant Field Values

    - #### TRANSPORT_USED_KEY

          public static final String TRANSPORT_USED_KEY

      See Also:
        Constant Field Values

    - #### TRANSPORTS_KEY

          public static final String TRANSPORTS_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JingleSocks5BytestreamsConnectionManager

          public JingleSocks5BytestreamsConnectionManager(ConnectionSessionHandler handler)

  - ### Method Detail

    - #### connectTcp

          public void connectTcp(JaxmppCore jaxmpp,
                                 ConnectionSession session)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### connectUdp

          public void connectUdp(JaxmppCore jaxmpp,
                                 ConnectionSession session)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getTransport

          public Transport getTransport(JaxmppCore jaxmpp,
                                        ConnectionSession session)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### initConnection

          public void initConnection(JaxmppCore jaxmpp,
                                     ConnectionSession session,
                                     ConnectionManager.InitializedCallback callback)
                              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`
      Overrides:
        `setContext` in class `Socks5ConnectionManager`

Copyright © 2006–2023 Tigase. All rights reserved.